﻿
/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

.inline-block {
    display: inline-block;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}


/* Provides image overlay text, reference Sponsor/Index.cshtml */
.img-thumb-box {
    display: inline-block !important;
    position: relative !important;
    overflow: hidden;
}

.img-thumb-box-overlay {
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s linear 0.5s,opacity 0.5s linear;
}

.img-thumb-box a {
    color: transparent;
}

    .img-thumb-box a:hover .img-thumb-box-overlay {
        font-size: 24px;
        visibility: visible;
        opacity: 1;
        transition-delay: 0s;
        text-align: center;
        position: absolute;
        background-color: rgba(255, 255, 255, 0.75);
        color: #314158;
        width: 100%;
        height: 100%;
    }

.img-thumb-box-overlay span {
    width: 50%;
    height: 50%;
    overflow: auto;
    margin: auto;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

/* Style for global loading spinner */
#loadingSpinner {
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background-color: rgba(255,255,255,0.7);
    background-size: cover;
    display: none;
}

    #loadingSpinner i {
        position: absolute;
        top: 45%;
        left: 45%;
    }

/* Extend bootstrap for file input */
.btn-file {
    position: relative;
    overflow: hidden;
}

    .btn-file input[type=file] {
        position: absolute;
        top: 0;
        right: 0;
        min-width: 100%;
        min-height: 100%;
        font-size: 100px;
        text-align: right;
        filter: alpha(opacity=0);
        opacity: 0;
        outline: none;
        background: white;
        cursor: inherit;
        display: block;
    }

/* CreateUser Styles */
@media (min-width: 768px) {
    #left {
        position: absolute;
        top: 0px;
        bottom: 0;
        left: 0;
        width: 75%;
        overflow-y: scroll;
    }

    #left {
        position: absolute;
        top: 0px;
        bottom: 0;
        left: 0;
        width: 75%;
        overflow-y: scroll;
    }

    #right {
        position: absolute;
        top: 0;
        bottom: 0;
        right: 0;
        overflow-y: scroll;
        width: 25%;
    }
}

.panel-selected {
    border: 3px solid rgb(51, 122, 183);
}

    .panel-selected:after {
        content: "\f058";
        font-family: FontAwesome;
        font-style: normal;
        font-weight: normal;
        text-decoration: inherit;
        position: absolute;
        font-size: 32px;
        color: rgb(51, 122, 183);
        top: 0;
        right: 24px;
        z-index: 1;
    }

    .panel-selected.study-selected:after {
        content: '';
        position: absolute;
        left: 96%;
        top: 50%;
        margin-top: -22px;
        border-left: 0;
        border-bottom: 13px solid transparent;
        border-top: 13px solid transparent;
        border-left: 10px solid rgb(51, 122, 183);
    }

.panel.disabled, .panel.disabled:hover, .panel.disabled:focus {
    cursor: not-allowed;
}